Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 1352)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 1353)
@@ -2891,14 +2909,14 @@
 !--    the characteristic convective boundary layer temperature.
 !--    The horizontal average at nzb+1 is input for the average temperature.
-       IF ( hom(nzb,1,18,sr) > 0.0 .AND. abs(hom(nzb,1,18,sr)) > 1.0E-8 &
-           .AND.  z_i(1) /= 0.0 )  THEN
-          hom(nzb+8,1,pr_palm,sr)  = ( g / hom(nzb+1,1,4,sr) * &
-                                       hom(nzb,1,18,sr) *      &
-                                       ABS( z_i(1) ) )**0.333333333
+       IF ( hom(nzb,1,18,sr) > 0.0_wp .AND. abs(hom(nzb,1,18,sr)) > 1.0E-8_wp  &
+           .AND.  z_i(1) /= 0.0_wp )  THEN
+          hom(nzb+8,1,pr_palm,sr)  = ( g / hom(nzb+1,1,4,sr) *                 &
+                                       hom(nzb,1,18,sr) *                      &
+                                       ABS( z_i(1) ) )**0.333333333_wp
 !--       so far this only works if Prandtl layer is used
           hom(nzb+11,1,pr_palm,sr) = hom(nzb,1,16,sr) / hom(nzb+8,1,pr_palm,sr)
        ELSE
-          hom(nzb+8,1,pr_palm,sr)  = 0.0
-          hom(nzb+11,1,pr_palm,sr) = 0.0
+          hom(nzb+8,1,pr_palm,sr)  = 0.0_wp
+          hom(nzb+11,1,pr_palm,sr) = 0.0_wp
        ENDIF
 
@@ -2927,9 +2945,9 @@
        ts_value(21,sr) = hom(nzb,1,48,sr)           ! w"q"    at k=0
 
-       IF ( ts_value(5,sr) /= 0.0 )  THEN
-          ts_value(22,sr) = ts_value(4,sr)**2 / &
+       IF ( ts_value(5,sr) /= 0.0_wp )  THEN
+          ts_value(22,sr) = ts_value(4,sr)**2_wp / &
                             ( kappa * g * ts_value(5,sr) / ts_value(18,sr) ) ! L
        ELSE
-          ts_value(22,sr) = 10000.0
+          ts_value(22,sr) = 10000.0_wp
        ENDIF
 
@@ -2946,5 +2964,5 @@
 !-- If required, sum up horizontal averages for subsequent time averaging
     IF ( do_sum )  THEN
-       IF ( average_count_pr == 0 )  hom_sum = 0.0
+       IF ( average_count_pr == 0 )  hom_sum = 0.0_wp
        hom_sum = hom_sum + hom(:,1,:,:)
        average_count_pr = average_count_pr + 1
Index: /palm/trunk/SOURCE/global_min_max.f90
===================================================================
--- /palm/trunk/SOURCE/global_min_max.f90	(revision 1352)
+++ /palm/trunk/SOURCE/global_min_max.f90	(revision 1353)
@@ -21,5 +21,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! REAL constants provided with KIND-attribute 
 !
 ! Former revisions:
@@ -191,5 +191,5 @@
 !
 !--    Determine the local absolut maximum
-       fmax_l(1)     = 0.0
+       fmax_l(1)     = 0.0_wp
        fmax_ijk_l(1) =  i1
        fmax_ijk_l(2) =  j1
@@ -212,5 +212,5 @@
 !--    A constant offset has to be subtracted in order to handle the special
 !--    case i=0 correctly
-       IF ( ar(fmax_ijk_l(1),fmax_ijk_l(2),fmax_ijk_l(3)) < 0.0 )  THEN
+       IF ( ar(fmax_ijk_l(1),fmax_ijk_l(2),fmax_ijk_l(3)) < 0.0_wp )  THEN
           fmax_ijk_l(1) = -fmax_ijk_l(1) - 10
        ENDIF
@@ -251,5 +251,5 @@
 !
 !--    Determine the local absolut maximum
-       fmax_l(1)     = 0.0
+       fmax_l(1)     = 0.0_wp
        fmax_ijk_l(1) =  i1
        fmax_ijk_l(2) =  j1
@@ -276,5 +276,5 @@
 !--    A constant offset has to be subtracted in order to handle the special
 !--    case i=0 correctly
-       IF ( ar(fmax_ijk_l(1),fmax_ijk_l(2),fmax_ijk_l(3)) < 0.0 )  THEN
+       IF ( ar(fmax_ijk_l(1),fmax_ijk_l(2),fmax_ijk_l(3)) < 0.0_wp )  THEN
           fmax_ijk_l(1) = -fmax_ijk_l(1) - 10
        ENDIF
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 1352)
+++ /palm/trunk/SOURCE/header.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants provided with KIND-attribute 
 ! 
 ! Former revisions:
@@ -305,5 +305,5 @@
     ENDIF
 #if defined( __parallel )
-    IF ( coupling_start_time /= 0.0 )  THEN
+    IF ( coupling_start_time /= 0.0_wp )  THEN
        IF ( coupling_start_time > simulated_time_at_begin )  THEN
           WRITE ( io, 109 )
@@ -410,10 +410,11 @@
           char2 = 'at the end of the run'
        ENDIF
-       WRITE ( io, 119 )  TRIM( char1 ), TRIM( char2 ), &
-                          advected_distance_x/1000.0, advected_distance_y/1000.0
+       WRITE ( io, 119 )  TRIM( char1 ), TRIM( char2 ),                        &
+                          advected_distance_x/1000.0_wp,                       &
+                          advected_distance_y/1000.0_wp
     ENDIF
     WRITE ( io, 122 )  timestep_scheme
     IF ( use_upstream_for_tke )  WRITE ( io, 143 )
-    IF ( rayleigh_damping_factor /= 0.0 )  THEN
+    IF ( rayleigh_damping_factor /= 0.0_wp )  THEN
        IF ( .NOT. ocean )  THEN
           WRITE ( io, 123 )  'above', rayleigh_damping_height, &
@@ -480,6 +481,6 @@
     IF ( simulated_time_at_begin /= simulated_time )  THEN
        i = MAX ( log_point_s(10)%counts, 1 )
-       IF ( ( simulated_time - simulated_time_at_begin ) == 0.0 )  THEN
-          cpuseconds_per_simulated_second = 0.0
+       IF ( ( simulated_time - simulated_time_at_begin ) == 0.0_wp )  THEN
+          cpuseconds_per_simulated_second = 0.0_wp
        ELSE
           cpuseconds_per_simulated_second = log_point_s(10)%sum / &
@@ -504,5 +505,5 @@
 !-- and ocean are used or have been used. In this case, coupling_start_time
 !-- defines the time when the coupling is switched on.
-    IF ( coupling_start_time /= 0.0 )  THEN
+    IF ( coupling_start_time /= 0.0_wp )  THEN
        WRITE ( io, 207 )  coupling_start_time
     ENDIF
@@ -543,5 +544,5 @@
              building_wall_left = ( nx + 1 - blx ) / 2 * dx
           ENDIF
-          bxl = INT ( building_wall_left / dx + 0.5 )
+          bxl = INT ( building_wall_left / dx + 0.5_wp )
           bxr = bxl + blx
 
@@ -549,5 +550,5 @@
              building_wall_south = ( ny + 1 - bly ) / 2 * dy
           ENDIF
-          bys = INT ( building_wall_south / dy + 0.5 )
+          bys = INT ( building_wall_south / dy + 0.5_wp )
           byn = bys + bly
 
@@ -802,5 +803,5 @@
 !-- Listing of 1D-profiles
     WRITE ( io, 325 )  dt_dopr_listing
-    IF ( averaging_interval_pr /= 0.0 )  THEN
+    IF ( averaging_interval_pr /= 0.0_wp )  THEN
        WRITE ( io, 326 )  averaging_interval_pr, dt_averaging_input_pr
     ENDIF
@@ -809,5 +810,5 @@
 !-- DATA output
     WRITE ( io, 330 )
-    IF ( averaging_interval_pr /= 0.0 )  THEN
+    IF ( averaging_interval_pr /= 0.0_wp )  THEN
        WRITE ( io, 326 )  averaging_interval_pr, dt_averaging_input_pr
     ENDIF
@@ -835,5 +836,5 @@
        ENDIF
        WRITE ( io, 333 )  dt_dopr, averaging_interval_pr, dt_averaging_input_pr
-       IF ( skip_time_dopr /= 0.0 )  WRITE ( io, 339 )  skip_time_dopr
+       IF ( skip_time_dopr /= 0.0_wp )  WRITE ( io, 339 )  skip_time_dopr
     ENDIF
 
@@ -901,5 +902,5 @@
 
                 IF ( section(i,1) == -1 )  THEN
-                   WRITE (coor_chr,'(F10.1)')  -1.0
+                   WRITE (coor_chr,'(F10.1)')  -1.0_wp
                 ELSE
                    WRITE (coor_chr,'(F10.1)')  zu(section(i,1))
@@ -914,5 +915,5 @@
                                    TRIM( begin_chr ), 'k', TRIM( slices ), &
                                    TRIM( coordinates )
-                IF ( skip_time_do2d_xy /= 0.0 )  THEN
+                IF ( skip_time_do2d_xy /= 0.0_wp )  THEN
                    WRITE ( io, 339 )  skip_time_do2d_xy
                 ENDIF
@@ -922,5 +923,5 @@
                                    dt_averaging_input, 'k', TRIM( slices ), &
                                    TRIM( coordinates )
-                IF ( skip_time_data_output_av /= 0.0 )  THEN
+                IF ( skip_time_data_output_av /= 0.0_wp )  THEN
                    WRITE ( io, 339 )  skip_time_data_output_av
                 ENDIF
@@ -956,5 +957,5 @@
                                    TRIM( begin_chr ), 'j', TRIM( slices ), &
                                    TRIM( coordinates )
-                IF ( skip_time_do2d_xz /= 0.0 )  THEN
+                IF ( skip_time_do2d_xz /= 0.0_wp )  THEN
                    WRITE ( io, 339 )  skip_time_do2d_xz
                 ENDIF
@@ -964,5 +965,5 @@
                                    dt_averaging_input, 'j', TRIM( slices ), &
                                    TRIM( coordinates )
-                IF ( skip_time_data_output_av /= 0.0 )  THEN
+                IF ( skip_time_data_output_av /= 0.0_wp )  THEN
                    WRITE ( io, 339 )  skip_time_data_output_av
                 ENDIF
@@ -998,5 +999,5 @@
                                    TRIM( begin_chr ), 'i', TRIM( slices ), &
                                    TRIM( coordinates )
-                IF ( skip_time_do2d_yz /= 0.0 )  THEN
+                IF ( skip_time_do2d_yz /= 0.0_wp )  THEN
                    WRITE ( io, 339 )  skip_time_do2d_yz
                 ENDIF
@@ -1006,5 +1007,5 @@
                                    dt_averaging_input, 'i', TRIM( slices ), &
                                    TRIM( coordinates )
-                IF ( skip_time_data_output_av /= 0.0 )  THEN
+                IF ( skip_time_data_output_av /= 0.0_wp )  THEN
                    WRITE ( io, 339 )  skip_time_data_output_av
                 ENDIF
@@ -1065,9 +1066,9 @@
 
           IF ( av == 0 )  THEN
-             IF ( skip_time_do3d /= 0.0 )  THEN
+             IF ( skip_time_do3d /= 0.0_wp )  THEN
                 WRITE ( io, 339 )  skip_time_do3d
              ENDIF
           ELSE
-             IF ( skip_time_data_output_av /= 0.0 )  THEN
+             IF ( skip_time_data_output_av /= 0.0_wp )  THEN
                 WRITE ( io, 339 )  skip_time_data_output_av
              ENDIF
@@ -1115,9 +1116,9 @@
 
              IF ( av == 0 )  THEN
-                IF ( skip_time_domask(mid) /= 0.0 )  THEN
+                IF ( skip_time_domask(mid) /= 0.0_wp )  THEN
                    WRITE ( io, 339 )  skip_time_domask(mid)
                 ENDIF
              ELSE
-                IF ( skip_time_data_output_av /= 0.0 )  THEN
+                IF ( skip_time_data_output_av /= 0.0_wp )  THEN
                    WRITE ( io, 339 )  skip_time_data_output_av
                 ENDIF
@@ -1126,16 +1127,16 @@
 !--          output locations
              DO  dim = 1, 3
-                IF ( mask(mid,dim,1) >= 0.0 )  THEN
+                IF ( mask(mid,dim,1) >= 0.0_wp )  THEN
                    count = 0
-                   DO  WHILE ( mask(mid,dim,count+1) >= 0.0 )
+                   DO  WHILE ( mask(mid,dim,count+1) >= 0.0_wp )
                       count = count + 1
                    ENDDO
                    WRITE ( io, 349 )  dir(dim), dir(dim), mid, dir(dim), &
                                       mask(mid,dim,:count)
-                ELSEIF ( mask_loop(mid,dim,1) < 0.0 .AND.  &
-                         mask_loop(mid,dim,2) < 0.0 .AND.  &
-                         mask_loop(mid,dim,3) == 0.0 )  THEN
+                ELSEIF ( mask_loop(mid,dim,1) < 0.0_wp .AND.  &
+                         mask_loop(mid,dim,2) < 0.0_wp .AND.  &
+                         mask_loop(mid,dim,3) == 0.0_wp )  THEN
                    WRITE ( io, 350 )  dir(dim), dir(dim)
-                ELSEIF ( mask_loop(mid,dim,3) == 0.0 )  THEN
+                ELSEIF ( mask_loop(mid,dim,3) == 0.0_wp )  THEN
                    WRITE ( io, 351 )  dir(dim), dir(dim), mid, dir(dim), &
                                       mask_loop(mid,dim,1:2)
@@ -1221,5 +1222,5 @@
        WRITE ( io, 344 )  output_format
        WRITE ( io, 371 )  dt_dosp
-       IF ( skip_time_dosp /= 0.0 )  WRITE ( io, 339 )  skip_time_dosp
+       IF ( skip_time_dosp /= 0.0_wp )  WRITE ( io, 339 )  skip_time_dosp
        WRITE ( io, 372 )  ( data_output_sp(i), i = 1,10 ),     &
                           ( spectra_direction(i), i = 1,10 ),  &
@@ -1258,5 +1259,5 @@
        WRITE ( io, 416 ) surface_pressure, r_d, rho_surface, cp, l_v
        IF ( icloud_scheme == 0 )  THEN
-          WRITE ( io, 510 ) 1.0E-6 * nc_const
+          WRITE ( io, 510 ) 1.0E-6_wp * nc_const
           IF ( precipitation )  WRITE ( io, 511 ) c_sedimentation
        ENDIF
@@ -1538,6 +1539,6 @@
     ENDIF
     IF ( .NOT. constant_diffusion)  THEN
-       IF ( e_init > 0.0 )  WRITE ( io, 455 )  e_init
-       IF ( e_min > 0.0 )  WRITE ( io, 454 )  e_min
+       IF ( e_init > 0.0_wp )  WRITE ( io, 455 )  e_init
+       IF ( e_min > 0.0_wp )  WRITE ( io, 454 )  e_min
        IF ( wall_adjustment )  WRITE ( io, 453 )  wall_adjustment_factor
     ENDIF
@@ -1557,11 +1558,11 @@
        WRITE ( io, 474 )  TRIM( random_generator )
     ENDIF
-    IF ( pt_surface_initial_change /= 0.0 )  THEN
+    IF ( pt_surface_initial_change /= 0.0_wp )  THEN
        WRITE ( io, 475 )  pt_surface_initial_change
     ENDIF
-    IF ( humidity  .AND.  q_surface_initial_change /= 0.0 )  THEN
+    IF ( humidity  .AND.  q_surface_initial_change /= 0.0_wp )  THEN
        WRITE ( io, 476 )  q_surface_initial_change       
     ENDIF
-    IF ( passive_scalar  .AND.  q_surface_initial_change /= 0.0 )  THEN
+    IF ( passive_scalar  .AND.  q_surface_initial_change /= 0.0_wp )  THEN
        WRITE ( io, 477 )  q_surface_initial_change       
     ENDIF
@@ -1601,9 +1602,9 @@
        DO  i = 1, number_of_particle_groups
           IF ( i == 1  .AND.  density_ratio(i) == 9999999.9_wp )  THEN
-             WRITE ( io, 490 )  i, 0.0
+             WRITE ( io, 490 )  i, 0.0_wp
              WRITE ( io, 492 )
           ELSE
              WRITE ( io, 490 )  i, radius(i)
-             IF ( density_ratio(i) /= 0.0 )  THEN
+             IF ( density_ratio(i) /= 0.0_wp )  THEN
                 WRITE ( io, 491 )  density_ratio(i)
              ELSE
Index: /palm/trunk/SOURCE/impact_of_latent_heat.f90
===================================================================
--- /palm/trunk/SOURCE/impact_of_latent_heat.f90	(revision 1352)
+++ /palm/trunk/SOURCE/impact_of_latent_heat.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants provided with KIND-attribute 
 !
 ! Former revisions:
@@ -90,5 +90,5 @@
                    dqdt_precip = prec_time_const * ( ql(k,j,i) - ql_crit )
                 ELSE
-                   dqdt_precip = 0.0
+                   dqdt_precip = 0.0_wp
                 ENDIF
                 tend(k,j,i) = tend(k,j,i) + dqdt_precip * l_d_cp * pt_d_t(k)
@@ -131,5 +131,5 @@
              dqdt_precip = prec_time_const * ( ql(k,j,i) - ql_crit )
           ELSE
-             dqdt_precip = 0.0
+             dqdt_precip = 0.0_wp
           ENDIF
           tend(k,j,i) = tend(k,j,i) + dqdt_precip * l_d_cp * pt_d_t(k)
Index: /palm/trunk/SOURCE/inflow_turbulence.f90
===================================================================
--- /palm/trunk/SOURCE/inflow_turbulence.f90	(revision 1352)
+++ /palm/trunk/SOURCE/inflow_turbulence.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants provided with KIND-attribute 
 !
 ! Former revisions:
@@ -90,5 +90,5 @@
 !
 !-- Carry out spanwise averaging in the recycling plane
-    avpr_l = 0.0
+    avpr_l = 0.0_wp
     ngp_pr = ( nzt - nzb + 2 ) * 5 * nbgp
     ngp_ifd = ngp_pr * ( nyn - nys + 1 + 2 * nbgp )
@@ -192,5 +192,5 @@
     ELSEIF ( myidx /= id_recycling  .AND.  myidx == id_inflow )  THEN
 
-       inflow_dist = 0.0
+       inflow_dist = 0.0_wp
        CALL MPI_RECV( inflow_dist(nzb,nysg,1,1), ngp_ifd, MPI_REAL, &
                       id_recycling, 1, comm1dx, status, ierr )
